Package Details: zfs-dkms 0.8.3-2

Git Clone URL: https://aur.archlinux.org/zfs-dkms.git (read-only, click to copy)
Package Base: zfs-dkms
Description: Kernel modules for the Zettabyte File System.
Upstream URL: https://zfsonlinux.org/
Licenses: CDDL
Conflicts: spl-dkms
Provides: SPL-MODULE=0.8.3, ZFS-MODULE=0.8.3, spl-dkms, zfs
Replaces: spl-dkms
Submitter: isiachi
Maintainer: eschwartz
Last Packager: eschwartz
Votes: 91
Popularity: 2.25
First Submitted: 2015-08-31 12:01
Last Updated: 2020-02-28 17:44

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

eschwartz commented on 2019-09-20 18:29

Subscribed to the zfsonlinux issue -- any update on getting that merged any time soon???

There are four patches on that list marked as "Linux 5.3 compat", so if an 0.8.2 release does not look imminent we can try backporting those, which should hopefully be enough.

fryfrog commented on 2019-09-20 18:21

And the future 0.8.2 release looks like it should solve it.

https://github.com/zfsonlinux/zfs/pull/9161

vk77de commented on 2019-09-20 18:19

linux 5.3.arch1-1 breaks ZFS

https://bugs.archlinux.org/task/63864 https://github.com/zfsonlinux/zfs/issues/9332

patrickh commented on 2019-08-11 11:02

@edacval thanks for the link! Already did my research a few days ago and did not check before posting, sorry … :)

edacval commented on 2019-08-11 09:56

@patrickh : https://github.com/zfsonlinux/zfs/issues/9133

patrickh commented on 2019-08-11 07:48

I just wanted to ask, if anyone had the luck to get this working together with linux-mainline kernel (version 5.3-rc3 or other rc versions)? I would like to try new hardware, that will be supported in 5.3 only, therefore I am trying things out.

I know that this is probably not yet officially supported, but I was wondering, if the build errors that I see are a result of missing support for 5.3 on the ZFS side for now, or if it is just that the dkms build process is not compatible with the linux-mainline package here in general?

Here is my /var/lib/dkms/zfs/git/build/make.log: https://gist.github.com/c529e36107dc0f93a04b7e4c5612f24b ¹

Maybe someone who understands the dkms build process better than me could give me a hint, if it makes sense to report this to upstream or if I should just wait for official 5.3 release of core/linux package?

Thanks and best regards!

¹ sorry for the German "Notice" messages in the log. I changed my LC_ALL, but it didn't seem to work. But as far as I understand, the real issue is right at the end here:

make[2]: *** No rule to make target 'module/Module.symvers', needed by 'all-am'.  Stop.

fryfrog commented on 2019-07-25 18:40

@eschwartz: It might be worth updating the .patch so it applies cleanly.

patching file scripts/dkms.mkconf
Hunk #1 succeeded at 25 with fuzz 2.
Hunk #2 succeeded at 59 with fuzz 1 (offset -4 lines).

thedanbob commented on 2019-07-11 10:57

In case anyone wants to know if the current version (0.8.1) will install on kernel 5.2, it will. Only up to 5.1 is supported for now but I'm running it successfully on 5.2, and it's been reported that the test suite passes (see https://github.com/zfsonlinux/zfs/issues/9014#issuecomment-510265743).

eschwartz commented on 2019-05-19 03:30

See https://github.com/zfsonlinux/zfs/issues/8697#issuecomment-490163919

This should be getting queued for an upcoming spl-0.7.14

In the meantime I have backported the fix from https://github.com/zfsonlinux/zfs/pull/8479 and pushed a new dkms pkgrel, which builds fine for me on 5.1.2.arch1-1.

rwha commented on 2019-05-18 15:09

Recent kernel change did away with get_ds() in favor of KERNEL_DS.

https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/commit/?h=v5.1.3&id=736706bee329

If you need to, edit line 611 of /usr/src/spl-0.7.13/module/spl/spl-vnode.c and change:

set_fs(get_ds());

to

set_fs(KERNEL_DS);

then run

dkms install spl/0.7.13 -k $(uname -r)

dkms install zfs/0.7.13 -k $(uname -r)